varying lowp vec4 v_color;
varying lowp vec2 v_texCoord;

uniform sampler2D u_texture;
uniform vec4 u_options;
uniform vec4 u_color4;

void main() {
	float spread = u_options.z;
	float val = 1.0 - v_color.a * u_color4.a;
	vec4 c = texture2D(u_texture, v_texCoord);
	gl_FragColor = c * v_color * smoothstep(max(val-spread, 0.0), min(val+spread, 1.0), c.a);
}