attribute highp vec4 a_position;
attribute lowp vec4 a_color;
attribute mediump vec2 a_texCoord;
attribute mediump vec2 a_texCoord2;
uniform highp mat4 u_modelViewProjectionMatrix;

varying lowp vec4 v_color;
varying mediump vec2 v_texCoord1;

void main() {
	gl_Position = u_modelViewProjectionMatrix * a_position;
	v_color = a_color;
	v_texCoord1 = a_texCoord;
}