vec2 CalculateCoordsByDisplacement(vec2 coords, vec2 offset, vec2 tiling, vec2 displacement)
{
  return (coords * tiling) + displacement + offset;
}

vec2 CalculateCoordsByTime(vec2 coords, vec2 offset, vec2 tiling, vec2 speed, float time)
{
  return CalculateCoordsByDisplacement(coords, offset, tiling, speed * time);
}

vec2 NormalizeInBounds(vec2 pos, vec4 bounds)
{
  vec2 boundsSize = abs(vec2(bounds.x - bounds.z, bounds.y - bounds.w));
  return pos * boundsSize + bounds.xy;
}
