attribute highp vec4 a_position;
attribute mediump vec2 a_texCoord;

uniform highp mat4 u_modelViewProjectionMatrix;
uniform lowp vec4 u_color4;
uniform lowp vec4 u_fontColor;

varying lowp vec4 v_color;
varying mediump vec2 v_texCoord;

void main() {
  gl_Position = u_modelViewProjectionMatrix * a_position;
  v_color = u_color4 * u_fontColor;
  v_texCoord = a_texCoord;
}