varying lowp vec4 v_color;
varying lowp vec2 v_texCoord;
varying lowp vec4 v_fresnel;

uniform sampler2D u_texture;

void main() {
	vec4 tex = texture2D(u_texture, v_texCoord);
	gl_FragColor.rgb = v_color.rgb * tex.rgb + v_fresnel.rgb;
	gl_FragColor.a = v_color.a * tex.a * (1.0 - v_fresnel.a);
	gl_FragColor.rgb *= gl_FragColor.a;
}