#ifdef GL_ES
precision highp float;
#endif

#include "includes/world_bend.inc"

attribute highp vec4 a_position;
attribute lowp vec4 a_color;
attribute mediump vec2 a_texCoord;
uniform highp mat4 u_modelViewProjectionMatrix;
uniform highp mat4 u_modelViewMatrix;
// Ambient Color in RGB, intensity in A (contrast)
//uniform mediump vec4 u_ambientLightColor; // Unused uniforms may cause


varying lowp vec4 v_color;
varying lowp vec2 v_texCoord;

void main() {	
	v_color = a_color;
	v_texCoord = a_texCoord;
	
	// Bending
	vec4 glpos = u_modelViewProjectionMatrix * a_position;
	gl_Position = world_bend(u_modelViewMatrix * a_position, glpos);
}