varying lowp vec2 v_texCoord;
varying highp vec4 v_color;

uniform highp float u_time;
uniform sampler2D u_texture;
uniform sampler2D u_texture1;
uniform highp vec4 u_screenSize;
uniform highp vec4 uv_tiling_offset;
uniform highp vec4 u_texture_fade;

void main() 
{		
	vec2 newCoords = -0.5 * (uv_tiling_offset.xy - 1.0) + (uv_tiling_offset.xy * v_texCoord) + uv_tiling_offset.zw * uv_tiling_offset.xy;
	gl_FragColor.rgb = texture2D(u_texture, v_texCoord).rgb;
	gl_FragColor.a = 1.0 - (texture2D(u_texture1, newCoords).a * u_texture_fade.x);

}  