varying highp vec4 v_color;
varying highp vec2 v_texCoord;
varying highp float timing;

uniform sampler2D u_texture;

void main() {
		
	gl_FragColor.rgb = v_color.rgb * texture2D(u_texture, v_texCoord).rgb;
	gl_FragColor.a = clamp(timing,0.0,1.0) * v_color.a * texture2D(u_texture, v_texCoord).a;
}