attribute highp vec4 a_position;
attribute lowp vec4 a_color;
uniform lowp vec4 u_color4;
attribute lowp vec2 a_texCoord;

uniform highp mat4 u_modelViewProjectionMatrix;
uniform highp float u_time;

uniform highp vec4 uv_tiling_scroll;
// x tiling, y tiling, displacement, void
varying lowp vec2 scrollUV0;

varying highp vec4 v_color;
varying highp vec2 v_texCoord;

void main()
{
	gl_Position = u_modelViewProjectionMatrix * a_position;
	
	v_color = a_color * u_color4;
	v_texCoord = a_texCoord;
	
	scrollUV0 = v_texCoord.xy*uv_tiling_scroll.xy + (v_color.rg*2.0-1.0) * uv_tiling_scroll.xy * uv_tiling_scroll.z;
}