/*
	World bend
	inputs:
	u_modelViewMatrix, a_position
*/
vec4 world_bend(vec4 vector, vec4 glpos) {
	// Decided to move uniform values into here instead.
	// Hopefully it can stay like this
	float bend_offset = 3200.0;		// u_world_bend.x
	float bend_slope = 29000.0;		// u_world_bend.y
	float bend_floor = 29000.0;		// u_world_bend.z
	
	float dist = length(vector.xyz);
	float drop_value = clamp((dist - bend_offset) / bend_slope, 0.0, 1.0);

	drop_value = drop_value * drop_value * bend_floor;
	
	glpos.y -= drop_value;
	return(glpos);
}