varying lowp vec2 v_texCoord;
varying highp vec4 v_color;

uniform highp float u_time;
uniform sampler2D u_texture;
uniform sampler2D u_texture1;
uniform highp vec4 u_screenSize;
uniform highp vec4 sparkles_uv_tiling_scroll;

varying highp vec2 scrollUV0;

void main()
{		
	vec2 uv = gl_FragCoord.xy/u_screenSize.xy;
	uv *= sparkles_uv_tiling_scroll.xy;
	uv = (sparkles_uv_tiling_scroll.z * u_time) + uv + vec2(v_color.b);
	gl_FragColor.rgb = texture2D(u_texture1, uv).rgb;
	//gl_FragColor.rgb = texture2D(u_texture, scrollUV0).rgb;
	gl_FragColor.a = 2.0 * v_color.a * texture2D(u_texture1, uv).a * texture2D(u_texture, scrollUV0).a * ((cos((u_time+ texture2D(u_texture1, 0.5*uv).r)*sparkles_uv_tiling_scroll.w)+1.0)/2.0) ;

	//gl_FragColor.a = 1.0;
}