attribute highp vec4 a_position;
attribute highp vec4 a_color;
attribute mediump vec2 a_texCoord;

uniform lowp vec4 u_color4;
uniform highp mat4 u_modelViewProjectionMatrix;

varying lowp vec4 v_color;
varying mediump vec2 v_texCoord;

void main() {
  gl_Position = u_modelViewProjectionMatrix * a_position;
  v_color = u_color4 * a_color;
  v_texCoord = a_texCoord;
}

