attribute highp vec4 a_position;
attribute mediump vec2 a_texCoord;
attribute mediump vec2 a_texCoord1;

uniform highp mat4 u_modelViewProjectionMatrix;
uniform highp float u_time;
uniform lowp vec4 u_color4;
uniform lowp vec4 u_materialAmbient;

uniform highp vec4 uv_tiling_scroll;
// x tiling, y tiling
varying lowp vec2 scrollUV0;

varying lowp vec4 v_color;
varying mediump vec2 v_texCoord;
varying mediump vec2 v_texCoord1;

void main() {
	gl_Position = u_modelViewProjectionMatrix * a_position;
	v_color = u_color4 * vec4(u_materialAmbient.a, u_materialAmbient.a, u_materialAmbient.a, 1.0);
	
	v_texCoord = a_texCoord;	

	
	scrollUV0 = v_texCoord.xy*uv_tiling_scroll.xy + (v_color.rg*2.0-1.0) * uv_tiling_scroll.xy * uv_tiling_scroll.z;	
	v_texCoord1 = a_texCoord1;
}

